Bug 449869 - systemsettings crash when applying configuration to screen and countdown don't popup
Summary: systemsettings crash when applying configuration to screen and countdown don'...
Status: RESOLVED DUPLICATE of bug 447199
Alias: None
Product: systemsettings
Classification: Unclassified
Component: general (show other bugs)
Version: 5.23.5
Platform: openSUSE RPMs Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Plasma Bugs List
URL:
Keywords: drkonqi
Depends on:
Blocks:
 
Reported: 2022-02-09 15:32 UTC by Bruno Friedmann
Modified: 2022-02-11 18:15 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bruno Friedmann 2022-02-09 15:32:17 UTC
Application: systemsettings5 (5.23.5)

Qt Version: 5.15.2
Frameworks Version: 5.90.0
Operating System: Linux 5.16.4-1-default x86_64
Windowing System: X11
Distribution: "openSUSE Tumbleweed"
DrKonqi: 5.23.5 [KCrashBackend]

-- Information about the crash:
- What I was doing when the application crashed:
I was configuring my second screen, placement right of, position bottom, not primary.
hit the apply button and the crash occur.

The changes were applied (I mean the screen are configured) but the crash was there.
I'm using nvidia, and xorg.

Maybe related to 447199

The reporter is unsure if this crash is reproducible.

-- Backtrace:
Application: System Settings (systemsettings5), signal: Segmentation fault
Content of s_kcrashErrorMessage: {_M_t = {<std::__uniq_ptr_impl<char, std::default_delete<char []> >> = {_M_t = {<std::_Tuple_impl<0, char*, std::default_delete<char []> >> = {<std::_Tuple_impl<1, std::default_delete<char []> >> = {<std::_Head_base<1, std::default_delete<char []>, true>> = {_M_head_impl = {<No data fields>}}, <No data fields>}, <std::_Head_base<0, char*, false>> = {_M_head_impl = <optimized out>}, <No data fields>}, <No data fields>}}, <No data fields>}}
[KCrash Handler]
#6  QSharedPointer<KScreen::Screen>::data (this=<optimized out>) at /usr/include/qt5/QtCore/qsharedpointer_impl.h:301
#7  QSharedPointer<KScreen::Screen>::operator-> (this=<optimized out>) at /usr/include/qt5/QtCore/qsharedpointer_impl.h:307
#8  KScreen::Config::clone (this=0x0) at /usr/src/debug/libkscreen2-5.23.5-1.1.x86_64/src/config.cpp:205
#9  0x00007f45bc5f4a28 in ConfigHandler::revertConfig (this=0x55e12090b200) at /usr/src/debug/kscreen5-5.23.5-1.1.x86_64/kcm/config_handler.h:45
#10 KCMKScreen::revertSettings (this=0x55e118a94190) at /usr/src/debug/kscreen5-5.23.5-1.1.x86_64/kcm/kcm.cpp:99
#11 KCMKScreen::qt_static_metacall (_o=0x55e118a94190, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at /usr/src/debug/kscreen5-5.23.5-1.1.x86_64/build/kcm/kcm_kscreen_autogen/EWIEGA46WW/moc_kcm.cpp:223
#12 0x00007f45bc5f5ebb in KCMKScreen::qt_metacall (this=0x55e118a94190, _c=QMetaObject::InvokeMetaMethod, _id=22, _a=0x7ffd0a1bf700) at /usr/src/debug/kscreen5-5.23.5-1.1.x86_64/build/kcm/kcm_kscreen_autogen/EWIEGA46WW/moc_kcm.cpp:425
#13 0x00007f45d43bf1cd in QQmlObjectOrGadget::metacall (this=this@entry=0x7ffd0a1bf940, type=type@entry=QMetaObject::InvokeMetaMethod, index=<optimized out>, argv=argv@entry=0x7ffd0a1bf700) at /usr/src/debug/libqt5-qtdeclarative-5.15.2+kde43-1.1.x86_64/src/qml/qml/qqmlobjectorgadget.cpp:51
#14 0x00007f45d429cd4e in CallMethod (callType=QMetaObject::InvokeMetaMethod, callArgs=0x7f459cb1d6f0, engine=0x55e11899c660, argTypes=0x0, argCount=0, returnType=43, index=<optimized out>, object=...) at /usr/src/debug/libqt5-qtdeclarative-5.15.2+kde43-1.1.x86_64/src/qml/jsruntime/qv4qobjectwrapper.cpp:1319
#15 CallPrecise (object=..., data=..., engine=engine@entry=0x55e11899c660, callArgs=callArgs@entry=0x7f459cb1d6f0, callType=callType@entry=QMetaObject::InvokeMetaMethod) at /usr/src/debug/libqt5-qtdeclarative-5.15.2+kde43-1.1.x86_64/src/qml/jsruntime/qv4qobjectwrapper.cpp:1573
#16 0x00007f45d429ffdb in CallOverloaded (callType=<optimized out>, propertyCache=<optimized out>, callArgs=<optimized out>, engine=<optimized out>, data=..., object=...) at /usr/src/debug/libqt5-qtdeclarative-5.15.2+kde43-1.1.x86_64/src/qml/jsruntime/qv4qobjectwrapper.cpp:1645
#17 QV4::QObjectMethod::callInternal (this=<optimized out>, thisObject=<optimized out>, argv=<optimized out>, argc=<optimized out>) at /usr/src/debug/libqt5-qtdeclarative-5.15.2+kde43-1.1.x86_64/src/qml/jsruntime/qv4qobjectwrapper.cpp:2133
#18 0x00007f45d42bcc43 in QV4::FunctionObject::call (argc=<optimized out>, argv=<optimized out>, thisObject=<optimized out>, this=<optimized out>) at ../../include/QtQml/5.15.2/QtQml/private/../../../../../../src/qml/jsruntime/qv4functionobject_p.h:202
#19 QV4::Moth::VME::interpret (frame=0x7ffd0a1bfc00, engine=0x55e11899c660, code=0x7f459cb1d6a8 "") at /usr/src/debug/libqt5-qtdeclarative-5.15.2+kde43-1.1.x86_64/src/qml/jsruntime/qv4vme_moth.cpp:754
#20 0x00007f45d42bf917 in QV4::Moth::VME::exec (frame=frame@entry=0x7ffd0a1bfc00, engine=engine@entry=0x55e11899c660) at /usr/src/debug/libqt5-qtdeclarative-5.15.2+kde43-1.1.x86_64/src/qml/jsruntime/qv4vme_moth.cpp:463
#21 0x00007f45d4252d3e in QV4::Function::call (this=this@entry=0x55e1185689c0, thisObject=<optimized out>, argv=argv@entry=0x7f459cb1d670, argc=<optimized out>, context=<optimized out>) at /usr/src/debug/libqt5-qtdeclarative-5.15.2+kde43-1.1.x86_64/src/qml/jsruntime/qv4function.cpp:69
#22 0x00007f45d43d9b45 in QQmlJavaScriptExpression::evaluate (this=this@entry=0x55e118505e10, callData=callData@entry=0x7f459cb1d640, isUndefined=isUndefined@entry=0x0) at /usr/src/debug/libqt5-qtdeclarative-5.15.2+kde43-1.1.x86_64/src/qml/qml/qqmljavascriptexpression.cpp:212
#23 0x00007f45d438b8ab in QQmlBoundSignalExpression::evaluate (this=<optimized out>, a=<optimized out>) at ../../include/QtQml/5.15.2/QtQml/private/../../../../../../src/qml/jsruntime/qv4jscall_p.h:95
#24 0x00007f45d438ca98 in QQmlBoundSignal_callback (e=0x55e118505e80, a=0x0) at ../../include/QtQml/5.15.2/QtQml/private/../../../../../../src/qml/qml/qqmlboundsignalexpressionpointer_p.h:69
#25 0x00007f45d43bec75 in QQmlNotifier::emitNotify (endpoint=<optimized out>, a=0x0) at /usr/src/debug/libqt5-qtdeclarative-5.15.2+kde43-1.1.x86_64/src/qml/qml/qqmlnotifier.cpp:104
#26 0x00007f45d55b2058 in doActivate<false> (sender=0x55e1178bda20, signal_index=4, argv=argv@entry=0x0) at kernel/qobject.cpp:3778
#27 0x00007f45d55abbdd in QMetaObject::activate (sender=<optimized out>, signalOffset=<optimized out>, local_signal_index=<optimized out>, argv=argv@entry=0x0) at kernel/qobject.cpp:3959
#28 0x00007f45d4365515 in QQmlVMEMetaObject::activate (this=this@entry=0x55e117ffc3f0, object=<optimized out>, index=<optimized out>, args=args@entry=0x0) at /usr/src/debug/libqt5-qtdeclarative-5.15.2+kde43-1.1.x86_64/src/qml/qml/qqmlvmemetaobject.cpp:1312
#29 0x00007f45d4367c1f in QQmlVMEMetaObject::metaCall (this=0x55e117ffc3f0, o=<optimized out>, c=<optimized out>, _id=<optimized out>, a=<optimized out>) at /usr/src/debug/libqt5-qtdeclarative-5.15.2+kde43-1.1.x86_64/src/qml/qml/qqmlvmemetaobject.cpp:880
#30 0x00007f45d437ae1f in QQmlPropertyData::writeProperty (flags=..., value=<optimized out>, target=<optimized out>, this=<optimized out>) at ../../include/QtQml/5.15.2/QtQml/private/../../../../../../src/qml/qml/qqmlpropertydata_p.h:379
#31 QQmlPropertyPrivate::write (object=object@entry=0x55e1178bda20, property=..., value=..., context=<optimized out>, flags=..., flags@entry=...) at /usr/src/debug/libqt5-qtdeclarative-5.15.2+kde43-1.1.x86_64/src/qml/qml/qqmlproperty.cpp:1292
#32 0x00007f45d42a11f1 in QV4::QObjectWrapper::setProperty (engine=0x55e11899c660, object=0x55e1178bda20, property=0x7f45940015b8, value=...) at /usr/include/qt5/QtCore/qflags.h:120
#33 0x00007f45d42a1a62 in QV4::QObjectWrapper::setQmlProperty (value=..., revisionMode=QV4::QObjectWrapper::IgnoreRevision, name=<optimized out>, object=0x55e1178bda20, qmlContext=<optimized out>, engine=0x55e11899c660) at /usr/src/debug/libqt5-qtdeclarative-5.15.2+kde43-1.1.x86_64/src/qml/jsruntime/qv4qobjectwrapper.cpp:435
#34 QV4::QObjectWrapper::setQmlProperty (engine=0x55e11899c660, qmlContext=<optimized out>, object=0x55e1178bda20, name=<optimized out>, revisionMode=QV4::QObjectWrapper::IgnoreRevision, value=...) at /usr/src/debug/libqt5-qtdeclarative-5.15.2+kde43-1.1.x86_64/src/qml/jsruntime/qv4qobjectwrapper.cpp:418
#35 0x00007f45d42a1c05 in QV4::QObjectWrapper::virtualPut (m=0x7f459cb1d5e8, id=..., value=..., receiver=0x7f459cb1d5e8) at /usr/src/debug/libqt5-qtdeclarative-5.15.2+kde43-1.1.x86_64/src/qml/jsruntime/qv4qobjectwrapper.cpp:722
#36 0x00007f45d4268272 in QV4::Object::put (receiver=0x7f459cb1d5e8, v=..., id=..., this=0x7f459cb1d5e8) at /usr/src/debug/libqt5-qtdeclarative-5.15.2+kde43-1.1.x86_64/src/qml/jsruntime/qv4object_p.h:324
#37 QV4::Object::virtualResolveLookupSetter (object=0x7f459cb1d5e8, engine=0x55e11899c660, lookup=0x55e1189e1370, value=...) at /usr/src/debug/libqt5-qtdeclarative-5.15.2+kde43-1.1.x86_64/src/qml/jsruntime/qv4object.cpp:804
#38 0x00007f45d42bb6b2 in QV4::Moth::VME::interpret (frame=0x7ffd0a1c1e10, engine=0x55e11899c660, code=0x7f459c11844e "\016\002") at /usr/src/debug/libqt5-qtdeclarative-5.15.2+kde43-1.1.x86_64/src/qml/jsruntime/qv4vme_moth.cpp:653
#39 0x00007f45d42bf917 in QV4::Moth::VME::exec (frame=frame@entry=0x7ffd0a1c1e10, engine=engine@entry=0x55e11899c660) at /usr/src/debug/libqt5-qtdeclarative-5.15.2+kde43-1.1.x86_64/src/qml/jsruntime/qv4vme_moth.cpp:463
#40 0x00007f45d4253af0 in QV4::ArrowFunction::virtualCall (fo=<optimized out>, thisObject=<optimized out>, argv=<optimized out>, argc=<optimized out>) at /usr/src/debug/libqt5-qtdeclarative-5.15.2+kde43-1.1.x86_64/src/qml/jsruntime/qv4functionobject.cpp:528
#41 0x00007f45d42bcc43 in QV4::FunctionObject::call (argc=<optimized out>, argv=<optimized out>, thisObject=<optimized out>, this=<optimized out>) at ../../include/QtQml/5.15.2/QtQml/private/../../../../../../src/qml/jsruntime/qv4functionobject_p.h:202
#42 QV4::Moth::VME::interpret (frame=0x7ffd0a1c2040, engine=0x55e11899c660, code=0x7f459cb1d558 "\340<w\234E\177") at /usr/src/debug/libqt5-qtdeclarative-5.15.2+kde43-1.1.x86_64/src/qml/jsruntime/qv4vme_moth.cpp:754
#43 0x00007f45d42bf917 in QV4::Moth::VME::exec (frame=frame@entry=0x7ffd0a1c2040, engine=engine@entry=0x55e11899c660) at /usr/src/debug/libqt5-qtdeclarative-5.15.2+kde43-1.1.x86_64/src/qml/jsruntime/qv4vme_moth.cpp:463
#44 0x00007f45d4252d3e in QV4::Function::call (this=this@entry=0x55e11864f5e0, thisObject=<optimized out>, argv=argv@entry=0x7f459cb1d508, argc=<optimized out>, context=<optimized out>) at /usr/src/debug/libqt5-qtdeclarative-5.15.2+kde43-1.1.x86_64/src/qml/jsruntime/qv4function.cpp:69
#45 0x00007f45d43d9b45 in QQmlJavaScriptExpression::evaluate (this=this@entry=0x55e1184d7840, callData=callData@entry=0x7f459cb1d4d8, isUndefined=isUndefined@entry=0x0) at /usr/src/debug/libqt5-qtdeclarative-5.15.2+kde43-1.1.x86_64/src/qml/qml/qqmljavascriptexpression.cpp:212
#46 0x00007f45d438b8ab in QQmlBoundSignalExpression::evaluate (this=<optimized out>, a=<optimized out>) at ../../include/QtQml/5.15.2/QtQml/private/../../../../../../src/qml/jsruntime/qv4jscall_p.h:95
#47 0x00007f45d438ca98 in QQmlBoundSignal_callback (e=0x55e117a1b6b0, a=0x7ffd0a1c3c80) at ../../include/QtQml/5.15.2/QtQml/private/../../../../../../src/qml/qml/qqmlboundsignalexpressionpointer_p.h:69
#48 0x00007f45d43bec75 in QQmlNotifier::emitNotify (endpoint=<optimized out>, a=0x7ffd0a1c3c80) at /usr/src/debug/libqt5-qtdeclarative-5.15.2+kde43-1.1.x86_64/src/qml/qml/qqmlnotifier.cpp:104
#49 0x00007f45d55b2058 in doActivate<false> (sender=0x55e117982120, signal_index=45, argv=0x7ffd0a1c3c80) at kernel/qobject.cpp:3778
#50 0x00007f45d55ab9bf in QMetaObject::activate (sender=sender@entry=0x55e117982120, m=m@entry=0x7f45d4af0780 <QQuickMouseArea::staticMetaObject>, local_signal_index=local_signal_index@entry=15, argv=argv@entry=0x7ffd0a1c3c80) at kernel/qobject.cpp:3946
#51 0x00007f45d486bc82 in QQuickMouseArea::released (this=this@entry=0x55e117982120, _t1=<optimized out>, _t1@entry=0x55e1178ba038) at .moc/moc_qquickmousearea_p.cpp:665
#52 0x00007f45d486d485 in QQuickMouseArea::setPressed (this=this@entry=0x55e117982120, button=<optimized out>, p=p@entry=false, source=<optimized out>) at /usr/src/debug/libqt5-qtdeclarative-5.15.2+kde43-1.1.x86_64/src/quick/items/qquickmousearea.cpp:1236
#53 0x00007f45d486e6a1 in QQuickMouseArea::mouseReleaseEvent (this=0x55e117982120, event=0x7ffd0a1c3d40) at /usr/include/qt5/QtGui/qevent.h:132
#54 0x00007f45d486f035 in QQuickMouseArea::sendMouseEvent (this=0x55e117982120, event=0x7ffd0a1c42f0) at /usr/src/debug/libqt5-qtdeclarative-5.15.2+kde43-1.1.x86_64/src/quick/items/qquickmousearea.cpp:958
#55 0x00007f45d48189c0 in QQuickWindowPrivate::sendFilteredPointerEventImpl (this=0x55e1179db8f0, event=0x55e117e9cb90, receiver=0x55e1183bc480, filteringParent=<optimized out>) at /usr/src/debug/libqt5-qtdeclarative-5.15.2+kde43-1.1.x86_64/src/quick/items/qquickwindow.cpp:3214
#56 0x00007f45d4818895 in QQuickWindowPrivate::sendFilteredPointerEventImpl (this=0x55e1179db8f0, event=<optimized out>, receiver=<optimized out>, filteringParent=<optimized out>) at /usr/src/debug/libqt5-qtdeclarative-5.15.2+kde43-1.1.x86_64/src/quick/items/qquickwindow.cpp:3314
#57 0x00007f45d4818895 in QQuickWindowPrivate::sendFilteredPointerEventImpl (this=0x55e1179db8f0, event=<optimized out>, receiver=<optimized out>, filteringParent=<optimized out>) at /usr/src/debug/libqt5-qtdeclarative-5.15.2+kde43-1.1.x86_64/src/quick/items/qquickwindow.cpp:3314
#58 0x00007f45d481f9b1 in QQuickWindowPrivate::deliverMouseEvent (this=this@entry=0x55e1179db8f0, pointerEvent=0x55e117e9cb90) at /usr/src/debug/libqt5-qtdeclarative-5.15.2+kde43-1.1.x86_64/src/quick/items/qquickwindow.cpp:2002
#59 0x00007f45d48212bb in QQuickWindowPrivate::deliverPointerEvent (this=0x55e1179db8f0, event=0x55e117e9cb90) at /usr/src/debug/libqt5-qtdeclarative-5.15.2+kde43-1.1.x86_64/src/quick/items/qquickwindow.cpp:2611
#60 0x00007f45d5ae8645 in QWindow::event (this=0x55e117ff83b0, ev=<optimized out>) at kernel/qwindow.cpp:2438
#61 0x00007f45d622ea7f in QApplicationPrivate::notify_helper (this=<optimized out>, receiver=0x55e117ff83b0, e=0x7ffd0a1c42f0) at kernel/qapplication.cpp:3632
#62 0x00007f45d557be2a in QCoreApplication::notifyInternal2 (receiver=0x55e117ff83b0, event=0x7ffd0a1c42f0) at kernel/qcoreapplication.cpp:1064
#63 0x00007f45d4b642b7 in QQuickWidget::mouseReleaseEvent (this=<optimized out>, e=0x7ffd0a1c4850) at /usr/src/debug/libqt5-qtdeclarative-5.15.2+kde43-1.1.x86_64/src/quickwidgets/qquickwidget.cpp:1417
#64 0x00007f45d62708de in QWidget::event (this=0x55e1179b1740, event=0x7ffd0a1c4850) at kernel/qwidget.cpp:9020
#65 0x00007f45d622ea7f in QApplicationPrivate::notify_helper (this=this@entry=0x55e117194de0, receiver=receiver@entry=0x55e1179b1740, e=e@entry=0x7ffd0a1c4850) at kernel/qapplication.cpp:3632
#66 0x00007f45d6236584 in QApplication::notify (this=<optimized out>, receiver=0x55e1179b1740, e=0x7ffd0a1c4850) at kernel/qapplication.cpp:3076
#67 0x00007f45d557be2a in QCoreApplication::notifyInternal2 (receiver=0x55e1179b1740, event=0x7ffd0a1c4850) at kernel/qcoreapplication.cpp:1064
#68 0x00007f45d6235093 in QApplicationPrivate::sendMouseEvent (receiver=receiver@entry=0x55e1179b1740, event=event@entry=0x7ffd0a1c4850, alienWidget=alienWidget@entry=0x55e1179b1740, nativeWidget=0x55e117739860, buttonDown=<optimized out>, lastMouseReceiver=..., spontaneous=true, onlyDispatchEnterLeave=false) at kernel/qapplication.cpp:2614
#69 0x00007f45d62899dc in QWidgetWindow::handleMouseEvent (this=0x55e1178c1710, event=0x7ffd0a1c4b20) at kernel/qwidgetwindow.cpp:683
#70 0x00007f45d628cdf5 in QWidgetWindow::event (this=0x55e1178c1710, event=0x7ffd0a1c4b20) at kernel/qwidgetwindow.cpp:300
#71 0x00007f45d622ea7f in QApplicationPrivate::notify_helper (this=<optimized out>, receiver=0x55e1178c1710, e=0x7ffd0a1c4b20) at kernel/qapplication.cpp:3632
#72 0x00007f45d557be2a in QCoreApplication::notifyInternal2 (receiver=0x55e1178c1710, event=0x7ffd0a1c4b20) at kernel/qcoreapplication.cpp:1064
#73 0x00007f45d5adc627 in QGuiApplicationPrivate::processMouseEvent (e=0x55e118347d80) at kernel/qguiapplication.cpp:2282
#74 0x00007f45d5ab285c in QWindowSystemInterface::sendWindowSystemEvents (flags=flags@entry=...) at kernel/qwindowsysteminterface.cpp:1169
#75 0x00007f45d00bde0a in xcbSourceDispatch (source=source@entry=0x55e1172b5010) at qxcbeventdispatcher.cpp:105
#76 0x00007f45d30ecd5f in g_main_dispatch (context=0x7f45c8005000) at ../glib/gmain.c:3381
#77 g_main_context_dispatch (context=0x7f45c8005000) at ../glib/gmain.c:4099
#78 0x00007f45d30ed0e8 in g_main_context_iterate (context=context@entry=0x7f45c8005000, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../glib/gmain.c:4175
#79 0x00007f45d30ed19f in g_main_context_iteration (context=0x7f45c8005000, may_block=1) at ../glib/gmain.c:4240
#80 0x00007f45d55d3364 in QEventDispatcherGlib::processEvents (this=0x55e1172b59e0, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#81 0x00007f45d557a82b in QEventLoop::exec (this=this@entry=0x7ffd0a1c4e50, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:69
#82 0x00007f45d5582b00 in QCoreApplication::exec () at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#83 0x00007f45d5ad025c in QGuiApplication::exec () at kernel/qguiapplication.cpp:1867
#84 0x00007f45d622e9f5 in QApplication::exec () at kernel/qapplication.cpp:2824
#85 0x000055e115f9810b in main (argc=<optimized out>, argv=<optimized out>) at /usr/src/debug/systemsettings5-5.23.5-1.1.x86_64/app/main.cpp:208
[Inferior 1 (process 16186) detached]

Possible duplicates by query: bug 447199.

Reported using DrKonqi
Comment 1 Nicolas Fella 2022-02-10 15:25:54 UTC
The backtrace is the same as for https://bugs.kde.org/show_bug.cgi?id=447199, which is weird because considering your description it shouldn't try to revert things
Comment 2 Nate Graham 2022-02-11 18:15:07 UTC

*** This bug has been marked as a duplicate of bug 447199 ***